Bug 1265993 - Can not change ipv6.method in nmcli
Summary: Can not change ipv6.method in nmcli
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jirka Klimes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-24 09:19 UTC by Ola Thoresen
Modified: 2016-01-04 06:05 UTC (History)
5 users (show)

Fixed In Version: NetworkManager-1.0.6-7.fc22 NetworkManager-1.0.6-7.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-28 16:23:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Ola Thoresen 2015-09-24 09:19:02 UTC
Description of problem:

$ nmcli connection show 355eb564-2bd4-4ba8-bfa2-3a1b4f3e9c4e
connection.id:                          Telenor Telenor
connection.uuid:                        355eb564-2bd4-4ba8-bfa2-3a1b4f3e9c4e
connection.interface-name:              --
connection.type:                        gsm
(...)
ipv4.method:                            auto
ipv4.dns:                               
ipv4.dns-search:                        
(...)
ipv4.never-default:                     no
ipv4.may-fail:                          yes
ipv6.method:                            ignore
ipv6.dns:                               
ipv6.dns-search:                        
ipv6.addresses:                         


- ipv6.method is set to "ignore".  I know the APN supports IPv6, so I would like to enable it.

But I am not allowed to change any ipv6-settings with nmcli:

$ nmcli c modify 355eb564-2bd4-4ba8-bfa2-3a1b4f3e9c4e ipv6.method auto
Error: invalid or not allowed setting 'ipv6': 'ipv6' not among [connection, gsm, serial, ipv4].



The GUI does not allow me to edit the connection at all, but that is another bug.




Version-Release number of selected component (if applicable):
NetworkManager-1.0.6-5.fc22.x86_64
ModemManager-1.4.6-1.fc22.x86_64


How reproducible:


Steps to Reproduce:
1. nmcli c modify 355eb564-2bd4-4ba8-bfa2-3a1b4f3e9c4e ipv6.method auto
2. 
3.

Actual results:
Error: invalid or not allowed setting 'ipv6': 'ipv6' not among [connection, gsm, serial, ipv4].

Expected results:
ipv6-method should be set to "auto"

Additional info:

The modem supports IPv6:

$ mmcli -m 0

/org/freedesktop/ModemManager1/Modem/0 (device id 'c3da5716c77a4b578079d37bc1d99da77f4a971d')
  -------------------------
  Hardware |   manufacturer: 'Generic'
           |          model: 'MBIM [1199:A001]'
           |       revision: 'FIH7160_V1.2_WW_01.1415.07'
           |      supported: 'gsm-umts, lte'
           |        current: 'gsm-umts, lte'
           |   equipment id: '013937005292840'
  -------------------------
  System   |         device: '/sys/devices/pci0000:00/0000:00:14.0/usb1/1-4'
           |        drivers: 'cdc_acm, cdc_mbim'
           |         plugin: 'Generic'
           |   primary port: 'cdc-wdm0'
           |          ports: 'wwp0s20u4 (net), cdc-wdm0 (mbim), ttyACM0 (at)'
  -------------------------
  Numbers  |           own : 'unknown'
  -------------------------
  Status   |           lock: 'none'
           | unlock retries: 'sim-pin2 (3)'
           |          state: 'registered'
           |    power state: 'on'
           |    access tech: 'lte'
           | signal quality: '51' (cached)
  -------------------------
  Modes    |      supported: 'allowed: 2g, 3g, 4g; preferred: none'
           |        current: 'allowed: 2g, 3g, 4g; preferred: none'
  -------------------------
  Bands    |      supported: 'unknown'
           |        current: 'unknown'
  -------------------------
  IP       |      supported: 'ipv4, ipv6, ipv4v6'

Comment 1 Jirka Klimes 2015-09-25 14:32:17 UTC
Fixed upstream:
master: ecf0849 cli: allow 'ipv6' and 'ppp' settings for GSM and CDMA connections (rh #1265993)
nm-1-0: 1b253ee cli: allow 'ipv6' and 'ppp' settings for GSM and CDMA connections (rh #1265993)

Fedora 22 scratch-build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=11227529

> The GUI does not allow me to edit the connection at all, but that is another bug.

What GUI?
I can edit GSM connections in nm-connection-editor.

Comment 2 Ola Thoresen 2015-09-25 16:54:20 UTC
Great. Looking forward to testing it on monday.
(Don't have my work laptop with me this weekend)

Re. the GUI-problem, I added a separate bug here: #1266046

Comment 3 Ola Thoresen 2015-09-28 07:16:51 UTC
Seems to work fine.

Thanks for the quick fix!

$ ip addr show dev wwp0s20u4
3: wwp0s20u4: <BROADCAST,MULTICAST,NOARP,UP,LOWER_UP> mtu 1428 qdisc fq_codel state UNKNOWN group default qlen 1000
    link/ether b2:88:1e:d1:f4:ba brd ff:ff:ff:ff:ff:ff
    inet 10.177.87.214/24 brd 10.177.87.255 scope global wwp0s20u4
       valid_lft forever preferred_lft forever
    inet6 2a02:2121:202:43a:0:4:8b40:4201/64 scope global noprefixroute 
       valid_lft forever preferred_lft forever
    inet6 fe80::4:8b40:4201/120 scope link 
       valid_lft forever preferred_lft forever



$ traceroute6 www.vg.no
traceroute to www.vg.no (2001:67c:21e0::16), 30 hops max, 80 byte packets
 1  2a02:2121:202:43a:0:4:8b40:4240 (2a02:2121:202:43a:0:4:8b40:4240)  21.454 ms  21.243 ms  31.059 ms
 2  2a02:2120::4000:0:0:1a (2a02:2120::4000:0:0:1a)  31.040 ms  31.002 ms  30.967 ms
 3  2a02:2120::4000:0:0:19 (2a02:2120::4000:0:0:19)  30.905 ms  30.883 ms  30.856 ms
 4  ti280819898j370-ae1-20.ti.telenor.net (2001:4600:a:101::3a2)  30.770 ms  30.665 ms  30.564 ms
 5  ti0016a400-ae11-21.ti.telenor.net (2001:4600:9:500:1::31)  30.468 ms  30.343 ms  30.198 ms
 6  ti0016c400-lo0-0.ti.telenor.net (2001:4600:0:100::1b)  30.083 ms  38.871 ms  38.833 ms
 7  ti0300c360-lo0-0.ti.telenor.net (2001:4600:0:100::2a)  31.663 ms  31.513 ms  31.467 ms
 8  ti0001a400-lo0-0.ti.telenor.net (2001:4600:0:200::1)  31.423 ms  31.384 ms  31.344 ms

Comment 4 Fedora Update System 2015-10-19 13:10:41 UTC
NetworkManager-1.0.6-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-85c8578fc7

Comment 5 Fedora Update System 2015-10-19 13:10:42 UTC
NetworkManager-1.0.6-7.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6c051fe008

Comment 6 Fedora Update System 2015-10-19 16:23:58 UTC
NetworkManager-1.0.6-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update NetworkManager'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-85c8578fc7

Comment 7 Fedora Update System 2015-10-20 04:22:52 UTC
NetworkManager-1.0.6-7.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update NetworkManager'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6c051fe008

Comment 8 Fedora Update System 2015-10-28 16:23:38 UTC
NetworkManager-1.0.6-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-11-01 02:33:20 UTC
NetworkManager-1.0.6-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.